LINUX.ORG.RU
ФорумTalks

gentoo - выбор есть всегда

 , ,


0

3

https://github.com/geometer/FBReader/blob/master/README.build#L17

UI library — this depends on your target platform. For desktop,
Qt library, version 3.* or 4.*
OR
GTK+ library, version >= 2.4
should be installed

И обращаю ваше особое внимание на строку 19

А тем временем в далёкой-придалёкой галактике… fbreader-0.99.4-r2.ebuild Избранное:

RDEPEND="
	app-arch/bzip2
	dev-libs/expat
	dev-libs/liblinebreak
	dev-libs/fribidi
	dev-db/sqlite
	net-misc/curl
	sys-libs/zlib
	dev-qt/qtcore:4[ssl]
	dev-qt/qtgui:4
"

А вот этому господину

# cat metadata.xml 
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
  	<maintainer>
    	<email>grozin@gentoo.org</email>
  	</maintainer>
  	<longdescription lang="en">
  	FBReader is an e-book reader for various platforms.
  	</longdescription>
</pkgmetadata>

Мой поклон, респект и ваще так держать!

★★★★★

Ответ на: комментарий от deadNightTiger

Криворукий юзер суси ниасилил аппстрим выпилил а в багзиллу скопипастили? Ну ок...

init_6 ★★★★★ ()
Ответ на: комментарий от init_6

we have stopped supporting gtk-based version of UI.

Потом ниже пишут что неплохо бы и документацию поправить.

В общем, я бы не торопился с громкими высказываниями.

true_admin ★★★★★ ()

Грозину? Передадим :)

luke ★★★★ ()
Ответ на: комментарий от true_admin

В общем, я бы не торопился с громкими высказываниями.

Т.е. то что там между 3/4 как бы тоже должно быть переключалко тебя тоже не волнует? Ну ок

init_6 ★★★★★ ()
Ответ на: комментарий от init_6

Не в курсе текущей ситуации, qt3 ещё живо? qt4 вышел 10 лет назад. Вот сдесь пишут что qt3 не нужен и что qt4 его заменяет: https://wiki.gentoo.org/wiki/Qt/FAQ

We strongly recommend you to remove x11-libs/qt:3.

Признай, ты не прав.

true_admin ★★★★★ ()
Ответ на: комментарий от deadNightTiger

Но ведь qt3 в генте нет (в офф. дереве).

Они убили третьекеды? Сволочи!

init_6 ★★★★★ ()
Ответ на: комментарий от true_admin

Признай, ты не прав.

Чёэта?

И да такими темпами... Почему qt4 ещё в дереве? qt5 хватит всем.

init_6 ★★★★★ ()

Фигня. Вот если бы у них было еще OR OpenGL ☺

Eddy_Em ☆☆☆☆☆ ()
Ответ на: комментарий от Eddy_Em

Фигня. Вот если бы у них было еще OR OpenGL ☺

Eddy_Em блин... Всё. Даже книжки читать нечем.

init_6 ★★★★★ ()

Я так понял что прощай жестокий десктоп здравствуй app-text/fbless наше всё.

init_6 ★★★★★ ()
Ответ на: комментарий от deadNightTiger

Например, потому что KDE-приложения еще не все портированы?

Это какие? Те которые были выпилины ещё с третьекедами которые они убили? Сволочи!

init_6 ★★★★★ ()

Я смотрю - ты сегодня хорошо закинулся колёсами.

daemonpnz ★★★★★ ()
Последнее исправление: daemonpnz (всего исправлений: 1)
Ответ на: комментарий от daemonpnz

Я смотрю - ты сегодня хорошо закинулся колёсами.

А я смотрю что до всех так и не дошло - один сусевод-ниасилятор ниасилил, второй гентушник-копипастер скопипастил, а майнтрейнеру ж проще выпилил и пофиг дело то сделано.

init_6 ★★★★★ ()
Ответ на: комментарий от init_6

До всех давно дошло что qt3 сдохло, а gtk выпилили ибо unmaintained. А вот до тебя похоже нет.

daemonpnz ★★★★★ ()
Ответ на: комментарий от true_admin

We strongly recommend you to remove x11-libs/qt:3.

Напомнить в каком веке ещё до эры qt3/gtk+2 сдохло gnustep? И да с тех самых пор ничего путнего на нём так и не родилось. Внимание вопрос что в дереве делает gnustep-apps, gnustep-base и gnustep-libs и почему здесь gentoo не столь-же последовательна в вопросах выпиливания?

init_6 ★★★★★ ()
Последнее исправление: init_6 (всего исправлений: 1)
Ответ на: комментарий от init_6

Я бы с радостью обсудил это, но я на лоре достаточно давно и уже обсасывал эти темы несколько раз.

true_admin ★★★★★ ()

Да полно таких ебилдов. qmmp например из последнего. Ушлёпки же.

ass ★★★★ ()
Ответ на: комментарий от init_6

Культи с говнотыками должны в конце-концов сдохнуть. Очень уж дерьмовые гадости...

Eddy_Em ☆☆☆☆☆ ()
Ответ на: комментарий от daemonpnz

До всех давно дошло что qt3 сдохло, а gtk выпилили ибо unmaintained. А вот до тебя похоже нет.

Это подход даниэльки - «у меня макось на десктопе а вы все со своими десктопами на линуксе идиоты».

И да такими темпами надо вообще всё выпилить и один vim в дереве оставить.

init_6 ★★★★★ ()
Ответ на: комментарий от init_6

Почему ты такой агрессивный, как только речь идет о генте? Почему бы не присоединиться в команду разрабов и не помочь по хардкору? Если тебе не похер, конечно же. А если похер - то к чему претензии?

Начинаешь гнать пургу, как обычный хейтер.

anonymous8 ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.